OpenVDB: VolumeTransfer< TreeT > Struct Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
VolumeTransfer< TreeT > Struct Template Reference

VolumeTransfer specialization for a single target volume. More...

`#include <openvdb/points/PointTransfer.h>`

## Public Types
using | TreeType = TreeT
using | ValueType = typename TreeType::ValueType
using | NodeMaskT = typename TreeType::LeafNodeType::NodeMaskType

## Public Member Functions
| VolumeTransfer (TreeType *tree)
| VolumeTransfer (TreeType &tree)
| VolumeTransfer (const VolumeTransfer &other)
TreeType & | topology ()
void | initialize (const Coord &origin, const size_t, const CoordBBox &)
ValueType * | buffer ()
const ValueType * | buffer () const
NodeMaskT * | mask ()
const NodeMaskT * | mask () const
template<size_t >
ValueType * | buffer ()
template<size_t >
const ValueType * | buffer () const
template<size_t >
NodeMaskT * | mask ()
template<size_t >
const NodeMaskT * | mask () const

## Detailed Description

template<typename TreeT>
struct openvdb::v10_0::points::VolumeTransfer< TreeT >

VolumeTransfer specialization for a single target volume.

## Member Typedef Documentation

## ◆ NodeMaskT

using NodeMaskT = typename TreeType::LeafNodeType::NodeMaskType

## ◆ TreeType

using TreeType = TreeT

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ VolumeTransfer() [1/3]

VolumeTransfer | ( | TreeType * | tree | ) |
| inline

## ◆ VolumeTransfer() [2/3]

VolumeTransfer | ( | TreeType & | tree | ) |
| inline

## ◆ VolumeTransfer() [3/3]

VolumeTransfer | ( | const VolumeTransfer< TreeT > & | other | ) |
| inline

## Member Function Documentation

## ◆ buffer() [1/4]

ValueType * buffer | ( |  | ) |
| inline

## ◆ buffer() [2/4]

ValueType * buffer | ( |  | ) |
| inline

## ◆ buffer() [3/4]

const ValueType * buffer | ( |  | ) | const
| inline

## ◆ buffer() [4/4]

const ValueType * buffer | ( |  | ) | const
| inline

## ◆ initialize()

void initialize | ( | const Coord & | origin,
|  | const | size_t,
|  | const CoordBBox & |
| ) |  |
| inline

## ◆ mask() [1/4]

NodeMaskT * mask | ( |  | ) |
| inline

## ◆ mask() [2/4]

NodeMaskT * mask | ( |  | ) |
| inline

## ◆ mask() [3/4]

const NodeMaskT * mask | ( |  | ) | const
| inline

## ◆ mask() [4/4]

const NodeMaskT * mask | ( |  | ) | const
| inline

## ◆ topology()

TreeType & topology | ( |  | ) |
| inline